/*---- COLORS ----*/

* { box-sizing: border-box; }

:root, .lite-mode {
  --back-page:        #ffffff;
  --back-primary:     #fafafa;
  --back-secondary:   #f0f0f0;
  --back-alternate:   #f4f4f4;
  --back-highlight:   #e0e8ff;
  --back-selected:    #e0e8ff;
  --back-sidebar:     #eee;
  --back-active:      #eef0ff;
  --back-disabled:    #f4f4f4;
  --back-warn:        #fdf0ee;
  --back-note:        #eeeeff;
  --border-primary:   #ccc;
  --border-secondary: #d8d8d8;
  --border-alternate: #e4e4e4;
  --border-button:    #00ade8;
  --border-inverse:   #000;
  --button-color:     #333;
  --button-back:      #eef;
  --button-border:    #ccf;
  --button-color-delete:  #333;
  --button-back-delete:   #fee;
  --button-border-delete: #fcc;
  --button-color-disabled:  #aaa;
  --button-back-disabled:   #eee;
  --button-border-disabled: #ccc;
  --button-normal:    #ddf;
  --button-action:    #00ade8;
  --button-accent:    #0c8;
  --button-mini:      #444;
  --button-text:      #fff;
  --color-primary:    #222;
  --color-secondary:  #379;
  --color-accented:   #0a8;
  --color-input:      #222;
  --color-place:      #ccc;
  --color-dark:       #000;
  --color-light:      #fff;
  --color-warn:       #c04;
  --color-note:       #40c;
  --color-disabled:   #888;
  --input-disabled:   #333;
  --link-base:        #04d;
  --link-normal:      #333;
  --link-accent:      #6df;
  --link-hover:       #06f;
  --link-visited:     #04d;
  --link-disabled:    #ccc;
}

.dark-mode {
  --back-primary:     #212121;
  --back-secondary:   #202024;
  --back-alternate:   #282832;
  --back-highlight:   #323248;
  --back-selected:    #16161A;
  --border-primary:   #323236;
  --border-secondary: #525256;
  --border-alternate: #323236;
  --border-button:    #00ade8;
  --border-inverse:   #dadada;
  --color-primary:    #dadada;
  --color-secondary:  #aac;
  --color-accented:   #0a8;
  --color-input:      #fff;
  --color-place:      #666;
  --color-dark:       #111114;
  --color-light:      #fff;
  --color-warn:       #c04;
  --link-base:        #08d;
  --link-normal:      #fff;
  --link-accent:      #6df;
  --link-hover:       #00acef;
  --link-visited:     #fff;
  --link-disabled:    #888;
}

